SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Midnight Commander Vendors:   GNU Midnight Commander Project
Midnight Commander Format String, Buffer Overflow, and Memory Allocation Errors May Let Remote Users Deny Service or Execute Arbitrary Code
SecurityTracker Alert ID:  1012903
SecurityTracker URL:  http://securitytracker.com/id/1012903
CVE Reference:   CAN-2004-1004, CAN-2004-1005, CAN-2004-1009, CAN-2004-1090, CAN-2004-1091, CAN-2004-1092, CAN-2004-1093, CAN-2004-1174, CAN-2004-1175, CAN-2004-1176   (Links to External Site)
Date:  Jan 14 2005
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Several vulnerabilities were reported in Midnight Commander. A remote user can cause denial of service conditions or potentially execute arbitrary code.

Debian reported several vulnerabilities in Midnight Commander, including format string flaws, buffer overflows, memory allocation errors, and input validation bugs.

Affected files include 'vfs/extfs.c' [CVE: CAN-2004-1176], 'src/key.c', 'vfs/sfs.c', 'vfs/direntry.c', 'gtkedit/syntax.c', 'src/wtools.c', 'src/utilunix.c', 'src/boxes.c', 'src/charsets.c', and 'vfs/cpio.c' [CVE: CAN-2004-1005], 'vfs/fish.c' [CVE: CAN-2004-1175], 'vfs/direntry.c' [CVE: CAN-2004-1174], 'gtkedit/syntax.c' [CVE: CAN-2004-1009], 'src/utilunix.c' and 'vfs/fish.c [CVE: CAN-2004-1004], 'src/profile.c' [CVE: CAN-2004-1090], 'src/find.c' [CVE: CAN-2004-1091], 'gtkedit/editcmd.c' [CVE: CAN-2004-1092], and 'src/key.c' [CVE: CAN-2004-1093].

Impact:   A remote user can cause denial of service conditions.

A remote user may be able to execute arbitrary code [however, the report did not confirm code execution.]

Solution:   Fixes are available via CVS at:

http://savannah.gnu.org/cgi-bin/viewcvs/mc/mc/

Vendor URL:  www.ibiblio.org/mc/ (Links to External Site)
Cause:   Access control error, Boundary error, Input validation error, State error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jan 14 2005 (Debian Issues Fix) Midnight Commander Format String, Buffer Overflow, and Memory Allocation Errors May Let Remote Users Deny Service or Execute Arbitrary Code   (joey@infodrom.org (Martin Schulze))
Debian has released a fix.
Mar 4 2005 (Red Hat Issues Fix) Midnight Commander Format String, Buffer Overflow, and Memory Allocation Errors May Let Remote Users Deny Service or Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has released a fix.
Jun 17 2005 (Red Hat Issues Fix) Midnight Commander Format String, Buffer Overflow, and Memory Allocation Errors May Let Remote Users Deny Service or Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has released a fix.



 Source Message Contents

Date:  Fri, 14 Jan 2005 12:08:41 -0500
Subject:  [none]


Several vulnerabilities were reported in Midnight Commander.

CAN-2004-1004

    Multiple format string vulnerabilities

CAN-2004-1005

    Multiple buffer overflows

CAN-2004-1009

    One infinite loop vulnerability

CAN-2004-1090

    Denial of service via  corrupted section header

CAN-2004-1091

    Denial of service via null dereference

CAN-2004-1092

    Freeing unallocated memory

CAN-2004-1093

    Denial of service via use of already freed memory

CAN-2004-1174

    Denial of service via manipulating non-existing file handles

CAN-2004-1175

    Unintended program execution via insecure filename quoting

CAN-2004-1176

    Denial of service via a buffer underflow
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC